/* Application exemple d'utilisation des methodes    */
/* contenues dans FenetreGraphique.class             */

public class ImageFenetreGraphiqueEnConsole {

  public static void main(String [] args) {
    Console.setTitle("ImageFenetreGraphique");
    int [][] image;
  /* Initialisation et ouverture                      */
  /* de la fenetre d'affichage graphique              */
  /* Coin superieur gauche en position ecran (50,50)  */
  /* Fenetre de taille 500x420                        */
  /* Zone d'affichage de taille 480x360               */
  /* Titre "Test affichage graphique"                 */
    FenetreGraphique fg = new FenetreGraphique(50,50,500,420,480,360,"Test affichage graphique");
  /* Choix du blanc comme couleur d'effacement        */
  /* de la zone d'affichage                           */
    fg.setClearColor(255,255,255);
  /* Ordre d'effacement de la zone d'affichage        */
    fg.clear();
  /* Telechargement d'une image sur un site web       */
    image = fg.downloadPNGFile("http://raphaello.univ-fcomte.fr/Algo-s2/18-19-Projets/Fleur450x450.png");
  /* Affichage de l'image lue                         */
  /* Tout n'est pas affiche car l'image               */
  /* est trop grande                                  */
  /* Precaution: Si l'image n'est pas lisible,        */
  /* elle n'est pas affichee et un message d'erreur   */
  /* est affiche                                      */
    if ( image != null )
      fg.drawImage(10,10,image);
      else
      Console.afficherln("Impossible de lire cette image");
  /* Envoi de la zone d'affichage graphique a l'ecran */
    fg.flush();
  /* Temporisation de 10000 milli-secondes            */
    FenetreGraphique.wait(10000);
  /* Fermeture de la fenetre                          */
  /* et interruption de l'application                 */
    FenetreGraphique.exit();
  }
}